from pydantic_settings import BaseSettings, SettingsConfigDict


class GithubSettings(BaseSettings):
    model_config = SettingsConfigDict(env_prefix="GITHUB_")

    token: str
    url: str = "https://api.github.com/repos"
